<%
	'---------------------------------------------------
	' Funcao: filtrarTexto(str)
	'
	' Descricao: Filtra a string passada como parametro
	' contra XSS e SQL Injection, removendo os principais
	' caracteres utilizados neste tipo de ataque. Retorna
	' a string com os caracteres removidos.
	'
	' Autor: Angelito M. Goulart <angelito@bsd.com.br>
	'
	' Data: 19/01/2012
	'---------------------------------------------------
Public Function filtrarTexto(str)
	str = Replace(str, "<", "")
	str = Replace(str, ">", "")
	str = Replace(str, ";", "")
	str = Replace(str, "#", "")
	str = Replace(str, "--", "")
	str = Replace(str, "%", "")
	str = Replace(str, "=", "")
	str = Replace(str, "'", "")
	str = Replace(str, "+", "")
	filtrarTexto = str
End Function
	
%>
